from keras.models import load_model
import numpy as np
import sys
from keras.models import model_from_json

InputFile = sys.argv[1]
OutFile = sys.argv[2]

X_mean = np.load('/var/www/html/TDL/TDL-BP/src/X_mean_all.npy')
X_std = np.load('/var/www/html/TDL/TDL-BP/src/X_std_all.npy')
sample = np.load(InputFile, allow_pickle=True)
X_test = np.empty([1,200,72])
for i in range(200):
    for j in range(72):
        X_test[0,i,j] = (sample[i,j]-X_mean[i,j])/X_std[i,j]

prediction = []

for i in range(1,16):
    json_file = open('/var/www/html/TDL/TDL-BP/Models/BP_model_'+str(i)+'.json', 'r')
    model_json = json_file.read()
    json_file.close()
    model = model_from_json(model_json)
    model.load_weights('/var/www/html/TDL/TDL-BP/Models/BP_model_'+str(i)+'.h5')
    #model = load_model('../../Models/BP_model_'+str(i)+'.h5')
    pred = model.predict(X_test)
    print pred[0][0]
    prediction.append(pred[0][0])
    del model

prediction = np.asarray(prediction)

outfile = open(OutFile, 'w')
outfile.write(str(np.mean(prediction)*-1.3633)+' kcal/mol')
outfile.close()
